# Uses of Class
org.apache.sling.api.request.SlingRequestEvent

Packages that use SlingRequestEvent
Package
Description
org.apache.sling.api.request

## Uses of SlingRequestEvent in org.apache.sling.api.request

Methods in org.apache.sling.api.request with parameters of type SlingRequestEvent
Modifier and Type
Method
Description
`void`
SlingRequestListener.`onEvent(SlingRequestEvent sre)`
Deprecated.
This method is called from the Sling application for every `EventType` appearing during the dispatching of a Sling request